Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 582478 - dev-lang/spidermonkey-1.8.5-r5: building w/gcc-6: error: cannot convert 'bool' to 'JSIdArray*' in return
Summary: dev-lang/spidermonkey-1.8.5-r5: building w/gcc-6: error: cannot convert 'bool...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-05-08 21:35 UTC by Peter Levine
Modified: 2016-10-23 03:38 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
js-1.8.5-c++11.patch (js-1.8.5-c++11.patch,5.69 KB, patch)
2016-05-08 21:37 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Levine 2016-05-08 21:35:48 UTC
Using gcc-6* to compile dev-lang/spidermonkey-1.8.5-r5 fails with "error: cannot convert 'bool' to 'JSIdArray*' in return"
Comment 1 Peter Levine 2016-05-08 21:37:45 UTC
Created attachment 433682 [details, diff]
js-1.8.5-c++11.patch

Patch to fix compilation in c++11 mode
Comment 2 Wiktor Kerr 2016-08-28 23:59:59 UTC
Compiles for me with the patch from #1.
Comment 3 Francesco Turco 2016-08-30 13:17:51 UTC
Patch from comment 1 works for me, too.
Comment 4 Alex Parker 2016-10-22 21:57:00 UTC
This seems to be fixed in 1.8.5-r6?